import java.awt.event.*;
import java.awt.*;
import javax.swing.JOptionPane;
import javax.swing.*;
/**
 * Clase implementacion de la interfaz ActionListener
 * @author Luis Fuentes / Benjamin Ginouves
 * @version 2
 */
public class InsertElementListener implements ActionListener {
   private BlockSpringConfiguration bsConfig;
   public InsertElementListener (BlockSpringConfiguration bsc){
      bsConfig = bsc;
   }
   /**
    * Metodo de ejecucion de la accion al eleguir la opcion del objeto a insertar.
    * @param e evento capturado del panel de insersion de objetos.
    */
   public void actionPerformed(ActionEvent e) {
      JMenuItem menuItem = (JMenuItem)(e.getSource());
      String text = menuItem.getText();

      if (text.equals("Mass"))
         new OptionPaneMultiple(bsConfig, "Mass");
      if (text.equals("Spring")) 
         new OptionPaneMultiple(bsConfig, "Spring");
      if (text.equals("String")){
         new OptionPaneMultiple(bsConfig, "String");
      }
   }
}